<!DOCTYPE html>
<html>

<head>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

</head>

<body>
  <div class="container">
    <h2 style="text-align: center;">Personal Data Submit Form</h2>

    <div class="jumbotron container">
      <div class="row form-group">
        <div class="col-sm-3">
          <label for="input-first-name">First Name</label>
        </div>
        <div class="col-sm-9">
          <input type="text" id="inp-first-name" name="firstname" placeholder="Your first name ..."
            class="form-control">
        </div>
      </div>
      <div class="row form-group">
        <div class="col-sm-3">
          <label for="inp-last-name">Last Name</label>
        </div>
        <div class="col-sm-9">
          <input type="text" id="inp-last-name" name="lastname" placeholder="Your last name.." class="form-control">
        </div>
      </div>
      <div class="row form-group">
        <div class="col-sm-3">
          <label for="age">Age</label>
        </div>
        <div class="col-sm-9">
          <input type="number" id="inp-age" name="age" placeholder="Your age ..." class="form-control">
        </div>
      </div>
      <div class="row">
        <div class="col-sm-12" style="text-align: right;">
          <button id="btn-submit-data" class="btn btn-info">Submit Data</button>
        </div>
      </div>
    </div>
    <!-- HTML Log -->
    <hr>
    <div style="text-align: right;">
      <button id="btn-clear-log" class="btn btn-info"> Clear HTML Log </button>
    </div>
    <p id="p-html-log"></p>
  </div>
</body>
<script>
  "use strict";

  //REGION 2: hàm xử lý element
  $(document).ready(function(){
    $("#btn-submit-data").on("click",function(){
      //khai báo person data object
      var vPersonDataObj = {
        firstName:"",
        lastName:"",
        age:""
      };

      //b1: data read
      dataRead(vPersonDataObj);

      //b2: data validation
      var vCheck = dataValidation(vPersonDataObj);
      if (vCheck){
         //b3: data display
        dataDisplay(vPersonDataObj);
      }
 
    })

    $("#btn-clear-log").on("click", function(){
      $("#p-html-log").html(">");
    })
  })

  //REGION 4: khai báo các hàm dùng chung
  function dataRead(paramPersonObj){
    paramPersonObj.firstName = $("#inp-first-name").val();
    paramPersonObj.lastName = $("#inp-last-name").val();
    paramPersonObj.age = $("#inp-age").val();
    
  }
  function dataValidation(paramPersonObj){
    if (paramPersonObj.firstName == "" ||
    paramPersonObj.lastName == "" ||
    paramPersonObj.age == ""){
      console.log("Dữ liệu không được để trống");
      return false;
    }
    else if (paramPersonObj.age <= 0 || paramPersonObj.age >=200){
      console.log ("Dữ liệu không hợp lệ");
      return false;
    }
    else return true;
  }

  function dataDisplay(paramPersonObj){
    console.log("First Name: " + paramPersonObj.firstName);
    console.log("Last Name: " + paramPersonObj.lastName);
    console.log("Age: " + paramPersonObj.age);
    $("#p-html-log").append("First name: " + paramPersonObj.firstName + ", Last name: " + paramPersonObj.lastName + ", Age: " + paramPersonObj.age + "<br>");
  }
</script>

</html>